---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgetallstktr001.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x529C0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54900, symBinAddr: 0xE130, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54CF0, symBinAddr: 0xE520, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55C90, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55CA0, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0x7C8, offset: 0x7C8, size: 0x8, addend: 0x0, symName: _compare_one_stack_trace, symObjAddr: 0x9F80, symBinAddr: 0x5ED0, symSize: 0x1A0 }
  - { offsetInCU: 0x8AF, offset: 0x8AF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x525F0, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x8BA, offset: 0x8BA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x525F4, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x8C5, offset: 0x8C5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x525F8, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x90A, offset: 0x90A, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x52750, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x983, offset: 0x983, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52808, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x9A1, offset: 0x9A1, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5280C, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x9BA, offset: 0x9BA, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x52810, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x9D3, offset: 0x9D3, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x52814, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x9EC, offset: 0x9EC, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x52818, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8FDB, offset: 0x8FDB, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x52820, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x9064, offset: 0x9064, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x52838, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x907D, offset: 0x907D, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x52840, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x9096, offset: 0x9096, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x52848, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x90AF, offset: 0x90AF, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x52850, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x90C9, offset: 0x90C9, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x52858, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x91AF, offset: 0x91AF, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x528A0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x91C8, offset: 0x91C8, size: 0x8, addend: 0x0, symName: __ZL10jvmti_caps, symObjAddr: 0x528A8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x91E1, offset: 0x91E1, size: 0x8, addend: 0x0, symName: __ZL13iGlobalStatus, symObjAddr: 0x528B8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9201, offset: 0x9201, size: 0x8, addend: 0x0, symName: __ZL12jraw_monitor, symObjAddr: 0x528C0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x921A, offset: 0x921A, size: 0x8, addend: 0x0, symName: __ZL10stack_buf1, symObjAddr: 0x528C8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9233, offset: 0x9233, size: 0x8, addend: 0x0, symName: __ZL13threads_count, symObjAddr: 0x528D0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x924C, offset: 0x924C, size: 0x8, addend: 0x0, symName: __ZL11thread_list, symObjAddr: 0x528D8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x9265, offset: 0x9265, size: 0x8, addend: 0x0, symName: __ZL11thread_info, symObjAddr: 0x528E0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x927E, offset: 0x927E, size: 0x8, addend: 0x0, symName: __ZL10stack_buf2, symObjAddr: 0x528E8, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x92D0, offset: 0x92D0, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x41B0, symSize: 0x80 }
  - { offsetInCU: 0x9365, offset: 0x9365, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4100, symSize: 0xB0 }
  - { offsetInCU: 0x93C0, offset: 0x93C0, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4000, symSize: 0x100 }
  - { offsetInCU: 0x9653, offset: 0x9653, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4230, symSize: 0x220 }
  - { offsetInCU: 0x9838, offset: 0x9838, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4450, symSize: 0xA0 }
  - { offsetInCU: 0x98EB, offset: 0x98EB, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x44F0, symSize: 0x110 }
  - { offsetInCU: 0x99E1, offset: 0x99E1, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4600, symSize: 0x150 }
  - { offsetInCU: 0x9B3E, offset: 0x9B3E, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4750, symSize: 0x30 }
  - { offsetInCU: 0x9C13, offset: 0x9C13, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4780, symSize: 0x150 }
  - { offsetInCU: 0x9E0B, offset: 0x9E0B, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x48D0, symSize: 0x160 }
  - { offsetInCU: 0x9F97, offset: 0x9F97, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4A30, symSize: 0x1B0 }
  - { offsetInCU: 0xA1B2, offset: 0xA1B2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4BE0, symSize: 0xA0 }
  - { offsetInCU: 0xA2AD, offset: 0xA2AD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4C80, symSize: 0x20 }
  - { offsetInCU: 0xA2E4, offset: 0xA2E4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4CA0, symSize: 0x20 }
  - { offsetInCU: 0xA31B, offset: 0xA31B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4CC0, symSize: 0x20 }
  - { offsetInCU: 0xA48A, offset: 0xA48A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4CE0, symSize: 0x1A0 }
  - { offsetInCU: 0xA7B0, offset: 0xA7B0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4E80, symSize: 0x80 }
  - { offsetInCU: 0xA879, offset: 0xA879, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4F00, symSize: 0x6A0 }
  - { offsetInCU: 0xB40E, offset: 0xB40E, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA540, symBinAddr: 0x6420, symSize: 0xB0 }
  - { offsetInCU: 0xB485, offset: 0xB485, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x55A0, symSize: 0x70 }
  - { offsetInCU: 0xB541, offset: 0xB541, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5610, symSize: 0xA0 }
  - { offsetInCU: 0xB620, offset: 0xB620, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x56B0, symSize: 0x40 }
  - { offsetInCU: 0xB716, offset: 0xB716, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x56F0, symSize: 0x2B0 }
  - { offsetInCU: 0xBABC, offset: 0xBABC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x59A0, symSize: 0xC0 }
  - { offsetInCU: 0xBC02, offset: 0xBC02, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5A60, symSize: 0x10 }
  - { offsetInCU: 0xBCC4, offset: 0xBCC4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5A70, symSize: 0x220 }
  - { offsetInCU: 0xC01A, offset: 0xC01A, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5C90, symSize: 0x90 }
  - { offsetInCU: 0xC146, offset: 0xC146, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D20, symBinAddr: 0x5D20, symSize: 0x90 }
  - { offsetInCU: 0xC272, offset: 0xC272, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_GetAllStackTraces_getallstktr001_GetResult, symObjAddr: 0x9DB0, symBinAddr: 0x5DB0, symSize: 0x10 }
  - { offsetInCU: 0xC2A6, offset: 0xC2A6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_GetAllStackTraces_getallstktr001_CreateRawMonitor, symObjAddr: 0x9DC0, symBinAddr: 0x5DC0, symSize: 0x90 }
  - { offsetInCU: 0xC33A, offset: 0xC33A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_GetAllStackTraces_getallstktr001_RawMonitorEnter, symObjAddr: 0x9E50, symBinAddr: 0x5E50, symSize: 0x40 }
  - { offsetInCU: 0xC3AB, offset: 0xC3AB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_GetAllStackTraces_getallstktr001_RawMonitorExit, symObjAddr: 0x9E90, symBinAddr: 0x5E90, symSize: 0x40 }
  - { offsetInCU: 0xC4AA, offset: 0xC4AA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_GetAllStackTraces_getallstktr001_GetAllStackTraces, symObjAddr: 0xA190, symBinAddr: 0x6070, symSize: 0xE0 }
  - { offsetInCU: 0xC5AF, offset: 0xC5AF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_GetAllStackTraces_getallstktr001_GetThreadsInfo, symObjAddr: 0xA270, symBinAddr: 0x6150, symSize: 0xF0 }
  - { offsetInCU: 0xC6C4, offset: 0xC6C4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_GetAllStackTraces_getallstktr001_GetThreadListStackTraces, symObjAddr: 0xA360, symBinAddr: 0x6240, symSize: 0x50 }
  - { offsetInCU: 0xC76A, offset: 0xC76A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_GetAllStackTraces_getallstktr001_ForceGC, symObjAddr: 0xA3B0, symBinAddr: 0x6290, symSize: 0x40 }
  - { offsetInCU: 0xC819, offset: 0xC819, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_GetAllStackTraces_getallstktr001_CompareStackTraces, symObjAddr: 0xA3F0, symBinAddr: 0x62D0, symSize: 0x80 }
  - { offsetInCU: 0xC8B7, offset: 0xC8B7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_GetAllStackTraces_getallstktr001_DeallocateBuffers, symObjAddr: 0xA470, symBinAddr: 0x6350, symSize: 0xD0 }
  - { offsetInCU: 0xC9BB, offset: 0xC9BB, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA5F0, symBinAddr: 0x64D0, symSize: 0x36A }
...
